[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'LazConfigStorage' (#lcl)

# TConfigMemStorage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: lazconfigstorage.pas line 102

`type TConfigMemStorage = class(TConfigStorage)`
`protected`
`procedure DeleteFullPath(); override;`
`procedure DeleteFullPathValue(); override;`
`function GetFullPathValue();`
`procedure SetDeleteFullPathValue();`
`procedure SetFullPathValue();`
`public`
`Root: TConfigMemStorageNode;`
`function GetFilename; override;`
`procedure WriteToDisk; override;`
`destructor Destroy; override;`
`procedure Clear; override;`
`procedure SaveToConfig();`
`procedure LoadFromConfig();`
`procedure WriteDebugReport;`
`end;`

## Inheritance

`TConfigMemStorage`
`TConfigStorage` |  |
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.